Gentoo Archives: gentoo-commits

From: Kent Fredric <kentfredric@×××××.com>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Archive-Peek/
Date: Fri, 02 Sep 2011 05:07:46
Message-Id: 1c3d8ef99181c6f35d2c24c4cb70d0457591a01d.kent@gentoo
commit:     1c3d8ef99181c6f35d2c24c4cb70d0457591a01d
Author:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Fri Sep  2 02:42:11 2011 +0000
Commit:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Fri Sep  2 02:42:11 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=1c3d8ef9

[added] Archive-Peek-0.340.0

(Portage version: 2.2.0_alpha51/git/Linux x86_64, signed Manifest commit with key BD86D695)

---
 dev-perl/Archive-Peek/Archive-Peek-0.340.0.ebuild |   37 +++++++++++++++++++++
 dev-perl/Archive-Peek/ChangeLog                   |   10 ++++++
 dev-perl/Archive-Peek/metadata.xml                |    9 +++++
 3 files changed, 56 insertions(+), 0 deletions(-)

diff --git a/dev-perl/Archive-Peek/Archive-Peek-0.340.0.ebuild b/dev-perl/Archive-Peek/Archive-Peek-0.340.0.ebuild
new file mode 100644
index 0000000..d35f324
--- /dev/null
+++ b/dev-perl/Archive-Peek/Archive-Peek-0.340.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=LBROCARD
+MODULE_VERSION=0.34
+inherit perl-module
+
+DESCRIPTION="Peek into archives without extracting them"
+LICENSE="|| ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+comment() { true;}
+COMMON_DEPEND="
+	$(comment Archive::Tar)
+	virtual/perl-Archive-Tar
+
+	$(comment Archive::Zip)
+	dev-perl/Archive-Zip
+
+	$(comment Moose)
+	dev-perl/Moose
+
+	$(comment MooseX::Types::Path::Class)
+	dev-perl/MooseX-Types-Path-Class
+
+	$(comment Test::More)
+	virtual/perl-Test-Simple
+"
+DEPEND="
+	${COMMON_DEPEND}
+"
+RDEPEND="
+	${COMMON_DEPEND}
+"
+SRC_TEST="do"

diff --git a/dev-perl/Archive-Peek/ChangeLog b/dev-perl/Archive-Peek/ChangeLog
new file mode 100644
index 0000000..f8b2dca
--- /dev/null
+++ b/dev-perl/Archive-Peek/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for dev-perl/Archive-Peek
+# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*Archive-Peek-0.340.0 (02 Sep 2011)
+
+  02 Sep 2011; Kent Fredric <kentfredric@×××××.com>
+  +Archive-Peek-0.340.0.ebuild, +metadata.xml:
+  Added for Parse-CPAN-Packages
+

diff --git a/dev-perl/Archive-Peek/metadata.xml b/dev-perl/Archive-Peek/metadata.xml
new file mode 100644
index 0000000..ccc7e0f
--- /dev/null
+++ b/dev-perl/Archive-Peek/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+    <herd>perl</herd>
+    <maintainer>
+        <email>kentfredric@×××××.com</email>
+        <name>Kent Fredric</name>
+    </maintainer>
+</pkgmetadata>